# glanceclient.v1.client module

class glanceclient.v1.client.Client(endpoint=None, **kwargs)

  Bases: `object`

  Client for the OpenStack Images v1 API.

  Parameters:

    - endpoint (string) – A user-supplied endpoint URL for the glance service.

    - token (string) – Token for authentication.

    - timeout (integer) – Allows customization of the timeout for client http requests. (optional)

    - language_header (string) – Set Accept-Language header to be sent in requests to glance.

this page last updated: 2026-02-27 17:10:21

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug